package com.srs.stureg.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.srs.stureg.domain.SrsStuTodo;
import com.srs.stureg.domain.VO.SrsStuTodoVo;

import java.util.List;

/**
 * 学生待办表Mapper接口
 * 
 * @author srs
 * @date 2023-08-18
 */
public interface SrsStuTodoMapper extends BaseMapper<SrsStuTodo>
{
    /**
     * 查询学生待办表
     * 
     * @param id 学生待办表主键
     * @return 学生待办表
     */
    public SrsStuTodo selectSrsStuTodoById(Long id);

    /**
     * 查询学生待办表列表
     * 
     * @param srsStuTodo 学生待办表
     * @return 学生待办表集合
     */
    public List<SrsStuTodo> selectSrsStuTodoList(SrsStuTodo srsStuTodo);

    public List<SrsStuTodoVo> selectSrsStuTodoListJoin(SrsStuTodo srsStuTodo);

    /**
     * 新增学生待办表
     * 
     * @param srsStuTodo 学生待办表
     * @return 结果
     */
    public int insertSrsStuTodo(SrsStuTodo srsStuTodo);

    /**
     * 修改学生待办表
     * 
     * @param srsStuTodo 学生待办表
     * @return 结果
     */
    public int updateSrsStuTodo(SrsStuTodo srsStuTodo);



    /**
     * 删除学生待办表
     * 
     * @param id 学生待办表主键
     * @return 结果
     */
    public int deleteSrsStuTodoById(Long id);

    /**
     * 批量删除学生待办表
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSrsStuTodoByIds(Long[] ids);
}
